> ## Documentation Index
> Fetch the complete documentation index at: https://help.getvero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List localized contents

> Returns active content records (localization variants) for a journey message. Ordered with default content first, then localized content sorted by `locale` ascending and then `id` ascending. There is one content record per locale as well as a default. The list response omits `content`. Use the dedicated endpoint to retrieve the contents.



## OpenAPI

````yaml /api-reference/campaigns-v2/campaigns-v2.yaml get /journeys/{journey_id}/messages/{message_id}/contents
openapi: 3.0.3
info:
  title: Vero Open API v2
  version: 2.0.0
  description: >-
    API for interfacing with Vero to design, update and manage broadcasts,
    journeys, and topics.
servers:
  - url: https://api.getvero.com/api/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Broadcasts
  - name: Broadcast Messages
  - name: Broadcast Message Contents
  - name: Journeys
  - name: Journey Messages
  - name: Journey Message Contents
  - name: Campaigns
  - name: Campaign Messages
  - name: Campaign Message Contents
  - name: Topics
paths:
  /journeys/{journey_id}/messages/{message_id}/contents:
    get:
      tags:
        - Journey Message Contents
      summary: List localized contents
      description: >-
        Returns active content records (localization variants) for a journey
        message. Ordered with default content first, then localized content
        sorted by `locale` ascending and then `id` ascending. There is one
        content record per locale as well as a default. The list response omits
        `content`. Use the dedicated endpoint to retrieve the contents.
      operationId: listJourneyContent
      parameters:
        - name: journey_id
          in: path
          required: true
          description: Journey ID.
          schema:
            type: integer
        - name: message_id
          in: path
          required: true
          description: Message ID.
          schema:
            type: integer
        - name: revision
          in: header
          required: false
          description: >-
            Optional dated API revision for the request. Must use `YYYY-MM-DD`
            format.
          schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
            example: '2026-03-01'
      responses:
        '200':
          description: Journey message content returned.
          content:
            application/json:
              examples:
                default:
                  value:
                    - id: 200
                      locale: null
                      is_default: true
                      subject: Welcome aboard
                      preheader_text: Glad you're here
                    - id: 201
                      locale: fr
                      is_default: false
                      subject: Bienvenue
                      preheader_text: Ravi
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - locale
                    - is_default
                    - subject
                    - preheader_text
                  properties:
                    id:
                      type: integer
                    locale:
                      type: string
                      nullable: true
                    is_default:
                      type: boolean
                    subject:
                      type: string
                      nullable: true
                    preheader_text:
                      type: string
                      nullable: true
        '404':
          description: Message is not part of this journey.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    NotFoundError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          enum:
            - not_found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Accepts either a raw API key or `Bearer <key>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.